FINDMNT(8)

NOM
findmnt - Trouver un système de fichiers

SYNOPSIS
findmnt [options]

findmnt [options] périphérique|point_de_montage

findmnt [options] [--source] périphérique [--target] point_de_montage

DESCRIPTION
findmnt affichera la liste de tous les systèmes de fichiers montés ou recherchera un système de fichiers. La commande findmnt peut chercher dans /etc/fstab, /etc/mtab ou /proc/self/mountinfo. Si périphérique ou point_de_montage ne sont pas donnés, tous les systèmes de fichiers sont montrés.

Le périphérique peut être indiqué par son nom, maj:min, étiquette (LABEL) ou UUID de système de fichiers, ou étiquette (PARTLABEL) ou PARTUUID de partition. Remarquez qu’un nom de périphérique peut être interprété comme un point de montage (et vice versa) si les options --target ou --source ne sont pas indiquées.

La commande affiche tous les systèmes de fichiers montés au format arborescent par défaut.

OPTIONS

-A, --all
    Désactiver tous les filtres intégrés et afficher tous les systèmes de fichiers.

-a, --ascii
    Utiliser des caractères ASCII pour le formatage d'arborescence.

-b, --bytes
    Afficher les colonnes SIZE, USED et AVAIL en octet plutôt qu'en format lisible.

-C, --nocanonicalize
    Ne pas canoniser du tout les chemins. Cette option affecte la comparaison de chemin et l’évaluation d’étiquettes (LABEL, UUID, etc.).

-c, --canonicalize
    Rendre tous les chemins affichés canoniques.

-D, --df
    Imiter la sortie de df(1). Cette option est équivalente à -o SOURCE,FSTYPE,SIZE,USED,AVAIL,USE%,TARGET, mais exclut tous les pseudosystèmes de fichiers. Utilisez --all pour afficher tous les systèmes de fichiers.

-d, --direction mot
    La direction de recherche, soit forward (en avant), soit backward (en arrière).

-e, --evaluate
    Convertir toutes les étiquettes (LABEL, UUID, PARTUUID or PARTLABEL) en noms de périphérique.

-F, --tab-file chemin
    Chercher dans un autre fichier. Si elle est utilisée avec --fstab, --mtab ou --kernel, alors elle remplace les chemins par défaut. Si elle est indiquée plus d’une fois, alors la sortie au format arborescent est désactivée (consultez l’option --list).

-f, --first-only
    N'afficher que le premier système de fichiers correspondant.

-h, --help
    Afficher un texte d'aide puis quitter.

-i, --invert
    Inverser le sens de la correspondance.

-k, --kernel
    Rechercher dans /proc/self/mountinfo. L'affichage est au format arborescent. C'est le fonctionnement par défaut.

-l, --list
    Utiliser l'affichage au format liste. Ce format de sortie est activé automatiquement si la sortie est restreinte par les options -t, -O, -S ou -T et que l'option --submounts n'est pas utilisée ou si plus d’un fichier source (l’option -F) est indiqué.

-m, --mtab
    Rechercher dans /etc/mtab. L'affichage est au format liste (consultez l'option --list).

-N, --task idt
    Utiliser l’espace de noms alternatif /proc/idt/mountinfo au lieu de /proc/self/mountinfo par défaut. Si l’option est indiquée plus d’une fois, alors la sortie au format arborescent est désactivée (consultez l’option --list). Consultez également la commande unshare(1).

-n, --noheadings
    Ne pas afficher de ligne d'en-tête.

-O, --options liste
    Limiter l'ensemble de systèmes de fichiers affichés. Plusieurs options peuvent être indiquées, séparées par des virgules. Les options -t et -O sont de fait cumulatives. Elle est différente de l'option -t car chaque option correspond exactement ; un no au début d’une option n’a pas de signification globale. Le no peut être utilisé pour des éléments individuels de la liste. L’interprétation du préfixe no peut être désactivée par le préfixe +.

-o, --output liste
    Définir les colonnes de sortie. Consultez la sortie de --help pour obtenir une liste des colonnes actuellement prises en charge. La colonne TARGET contient le formatage d'arborescence si les options --list ou --raw ne sont pas indiquées.

    La liste de colonnes par défaut peut être étendue si liste est indiquée sous la forme +liste (par exemple, findmnt -o +PROPAGATION).

-P, --pairs
    Utiliser le format de sortie clef="valeur". Tous les caractères potentiellement non sûrs sont protégés de façon hexadécimale (\xcode).

-p, --poll[=liste]
    Surveiller les modifications du fichier /proc/self/mountinfo. Les actions permises sont : mount (montage), umount (démontage), remount (remontage) et move (déplacement). Plusieurs actions peuvent être indiquées dans une liste, séparées par des virgules. Toutes les actions sont surveillées par défaut.

    Le temps pendant lequel --poll bloquera peut être limité avec les options --timeout ou --first-only.

    Les colonnes standards utilisent toujours la nouvelle version des renseignements du fichier mountinfo, sauf pour l'action umount qui est basée sur les renseignements d'origine mis en cache par findmnt(8). Le mode --poll permet d'utiliser des colonnes supplémentaires :

    ACTION
        noms d'action mount, umount, move ou remount ; cette colonne est activée par défaut ;

    OLD-TARGET
        disponible pour les actions umount et move ;

    OLD-OPTIONS
        disponible pour les actions umount et remount.

-R, --submounts
    Afficher récursivement tous les sous-montages des systèmes de fichiers sélectionnés. Les restrictions définies par les options -t, -O, -S, -T et --direction ne sont pas appliquées aux sous-montages. Tous les sous-montages sont toujours affichés dans l'ordre de l'arborescence. L'option active la sortie au format arborescent par défaut. Cette option est sans effet avec --mtab ou --fstab.

-r, --raw
    Utiliser le format de sortie brut. Tous les caractères potentiellement non sûrs sont protégés de façon hexadécimale (\xcode).

-S, --source périphérique
    Définir explicitement la source de montage. Les périphériques, maj:min, LABEL=, UUID=, PARTLABEL= et PARTUUID= sont pris en charge.

-s, --fstab
    Rechercher dans /etc/fstab. L'affichage est au format liste (consultez l'option --list).

-T, --target chemin
    Définir explicitement le point de montage cible (répertoire point_de_montage). Si le chemin n’est pas un fichier de point de montage ou un répertoire, findmnt vérifie les éléments de chemin dans l’ordre inverse pour obtenir le point de montage (cette fonctionnalité n’est prise en charge que pour la recherche dans les fichiers du noyau mais n’est pas prise en charge pour --fstab).

-t, --types liste
    Limiter l'ensemble de systèmes de fichiers affichés. Plusieurs types peuvent être indiqués, séparés par des virgules. La liste des types de systèmes de fichiers peut être préfixée par no pour indiquer les systèmes de fichiers pour lesquels aucune action ne doit être menée. Pour plus de précisions, consultez mount(8).

-U, --uniq
    Ignorer les systèmes de fichiers avec plusieurs cibles de montage, et ainsi sauter les points de montage sur-montés.

-u, --notruncate
    Ne pas tronquer le texte des colonnes. Les colonnes TARGET, SOURCE, UUID, LABEL, PARTUUID et PARTLABEL ne sont pas tronquées par défaut. Cette option désactive aussi la troncature dans toutes les autres colonnes.

-v, --nofsroot
    Ne pas afficher de [/dir] dans la colonne SOURCE pour les remontages ou les sous-volumes Btrfs.

-w, --timeout délai
    Indiquer une limite maximale de temps pendant lequel --poll bloquera, en milliseconde.

EXEMPLES

findmnt --fstab -t nfs
    Afficher tous les systèmes de fichiers NFS définis dans /etc/fstab.

findmnt --fstab /mnt/toto
    Afficher tous les systèmes de fichiers de /etc/fstab où le répertoire du point de montage est /mnt/toto. Cela affiche aussi les remontages dont /mnt/toto est source.

findmnt --fstab --target /mnt/toto
    Afficher tous les systèmes de fichiers de /etc/fstab où le répertoire du point de montage est /mnt/toto.

findmnt --fstab --evaluate
    Afficher tous les systèmes de fichiers de /etc/fstab et convertir les étiquettes et UUID en véritables noms de périphérique.

findmnt -n --raw --evaluate --output=target LABEL=/boot
    N'afficher que le point de montage où le système de fichiers avec l'étiquette « /boot » est monté.

findmnt --poll --target /mnt/toto
    Surveiller les montage, démontage, remontage et déplacement de /mnt/toto.

findmnt --poll=umount --first-only --target /mnt/toto
    Attendre le démontage de /mnt/toto.

findmnt --poll=remount -t ext3 -O ro
    Surveiller les remontages en mode lecture seule de tous les systèmes de fichiers ext3.

ENVIRONNEMENT

LIBMOUNT_FSTAB=chemin
    Remplacer l’emplacement par défaut du fichier fstab.

LIBMOUNT_MTAB=chemin
    Remplacer l’emplacement par défaut du fichier mtab.

LIBMOUNT_DEBUG=all
    Activer la sortie de débogage de libmount.

LIBSMARTCOLS_DEBUG=all
    Activer la sortie de débogage de libsmartcols.

AUTEURS
Karel Zak <kzak@redhat.com>

VOIR AUSSI
fstab(5), mount(8)

DISPONIBILITÉ
La commande findmnt fait partie du paquet util-linux, elle est disponible sur <ftp://ftp.kernel.org/pub/linux/utils/util-linux/>.

TRADUCTION
La traduction de cette page de manuel est maintenue par les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.